EddytorDocs & API
Tables

Rename a table to a new path within the same storage configuration

Renames all Delta table files (parquet data + `_delta_log/`) from the current storage path to a new path in the same store. The table is deregistered from the old path and re-discovered at the new path. **Required scope:** `storage:write`

POST
/v1/tables/{catalog}/{schema}/{table_name}/rename

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Path Parameters

catalog*string
schema*string
table_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for renaming (moving) a Delta table within the same storage configuration.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tables/string/string/string/rename" \  -H "Content-Type: application/json" \  -d '{    "destinationPath": "string"  }'
{  "objectsRenamed": 0,  "bytesTransferred": 0,  "message": "string"}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}